Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » update from juno r to 0.9.1 - no network(no easy way found)
update from juno r to 0.9.1 - no network [message #931423] Wed, 03 October 2012 07:21 Go to next message
Vlad Gheorghe is currently offline Vlad Gheorghe
Messages: 112
Registered: May 2011
Senior Member
Hello,

I've installed the Eclipse Modeling Package (Juno release), per instructions at:
http://www.eclipse.org/modeling/mdt/papyrus/updates/index.php

This comes with Papyrus 0.9.0

However, the SR1 Modeling Package at
http://www.eclipse.org/downloads/packages/eclipse-modeling-tools/junosr1
does not seem to include Papyrus.

Is that correct ?

If so, what would be the update procedure for no internet access (that is - using only zips) ?

I've tried to install from the 0.9.1 zipped update site
http://www.eclipse.org/modeling/download.php?file=/modeling/mdt/papyrus/downloads/drops/0.9.1/R201209190403/Papyrus-Update-incubation-0.9.1.zip

but it has some dependencies which are NOT available in the junosr1 Modeling Tools bundle.

Regards,
Vlad Gheorghe
Re: update from juno r to 0.9.1 - no network [message #931471 is a reply to message #931423] Wed, 03 October 2012 08:33 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille Letavernier
Messages: 483
Registered: February 2011
Senior Member
Hello,


As Papyrus doesn't provide a RCP build, there's no easy way to install it with zips.

You'll need the following dependencies:

- UML2
- GMF (Runtime, Notation, Tooling Runtime), which itself requires GEF
- EMF Facet
- XText
- OCL + OCL Examples
- MoDisco
- Eclipse XML Editors & Tools
- QVTo

And I may have forgotten a few ones. I don't know what's already installed in the Modeling package.

All these dependencies are available on the Juno update site (http://download.eclipse.org/releases/juno/), but I don't know if they are available in a zip format...


Regards,
Camille


Camille Letavernier
Papyrus developer
Re: update from juno r to 0.9.1 - no network [message #931522 is a reply to message #931471] Wed, 03 October 2012 09:32 Go to previous messageGo to next message
Vlad Gheorghe is currently offline Vlad Gheorghe
Messages: 112
Registered: May 2011
Senior Member
Thanks for the response !

But could you explain why Papyrus 0.9.0 is shipped with Juno R, but Papyrus 0.9.1 is not shipped with Juno SR1 ?

I think that would be very important for early adopters/testers.

Regards,
Vlad



Re: update from juno r to 0.9.1 - no network [message #931542 is a reply to message #931522] Wed, 03 October 2012 09:52 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille Letavernier
Messages: 483
Registered: February 2011
Senior Member
Hello,

Papyrus is actually shipped with Eclipse Juno SR1. For both the standard release and the Modeling Package. We haven't changed anything here.

Papyrus is not installed in the default Modeling Package (It has never been), but you can install it with "Help", "Install Modeling Components", "Papyrus".


Regards,
Camille


Camille Letavernier
Papyrus developer
Re: update from juno r to 0.9.1 - no network [message #931546 is a reply to message #931522] Wed, 03 October 2012 09:58 Go to previous message
Vlad Gheorghe is currently offline Vlad Gheorghe
Messages: 112
Registered: May 2011
Senior Member

OK, sorry for not reading through... http://www.eclipse.org/modeling/mdt/papyrus/updates/index.php

"The most basic procedure for installing Papyrus consists in installing the Eclipse Modeling Package for your own platform.
Then, you have to use the discovery interface ("Help" => "Install Modeling Component") and select Papyrus."


Regards,
Vlad
Previous Topic:PAPYRUS! how to operate checking OCL constraints on stereotypes!
Next Topic:broken .di file
Goto Forum:
  


Current Time: Sat Oct 25 10:16:03 GMT 2014

Powered by FUDForum. Page generated in 0.20816 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software